{
  pkgs,
  ...
}:
{
  imports = [
    ./homebrew.nix
    ./programs.nix
    ./system.nix
    ./settings.nix
  ];

  # List packages installed in system profile. To search by name, run:
  # $ nix-env -qaP | grep wget
  environment = {
    variables = {
      NH_OS_FLAKE = "/Users/mattjallen/nix-config";
    };
    systemPackages = with pkgs; [
      attic-client
      macpm
      mas
      nh
    ];
  };

  security.pam.services.sudo_local.touchIdAuth = true;

  users.users.mattjallen = {
    name = "mattjallen";
    home = "/Users/mattjallen";
  };
}
